# $Revision: 1.59 $, $Date: 2004/05/09 09:10:17 $
#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	SSLeay
Summary:	Crypt::SSLeay - OpenSSL glue that provides LWP https support
Summary(cs):	Crypt::SSLeay - spojen OpenSSL, kter poskytuje podporu https pro LWP
Summary(da):	Crypt::SSLeay - OpenSSL-klister som giver understttelse for LWP https
Summary(de):	Crypt::SSLeay - OpenSSL Elemente fr LWP https Support
Summary(es):	Crypt::SSLeay - Enlace OpenSSL que proporciona soporte https LWP
Summary(fr):	Crypt::SSLeay - colle OpenSSL fournissant une prise en charge LWP https
Summary(it):	Crypt::SSLeay - OpenSSL glue che fornisce supporto per LWP https
Summary(ja):	Crypt::SSLeay - LWP httpsΥݡȤ󶡤OpenSSL glue
Summary(ko):	Crypt::SSLeay - LWP https  ϴ OpenSSL (glue) Դϴ
Summary(pl):	Crypt::SSLeay - obsuga https dla LWP przez poczenie z OpenSSL
Summary(pt):	Crypt::SSLeay - a interface de OpenSSL que oferece o suporte em LWP de HTTPS
Summary(pt_BR):	Crypt::SSLeay - a interface de OpenSSL que oferece o suporte em LWP de HTTPS
Summary(sv):	Crypt::SSLeay - OpenSSL-klister som gr std fr LWP https
Summary(tr):	Crypt::SSLeay - LWP https destei salayan OpenSSL balants
Summary(zh_CN):	Crypt::SSLeay - ṩ LWP https ֵ֧ OpenSSL ˮ
Summary(zh_TW):	Crypt::SSLeay -  LWP https 䴩 OpenSSL glueC
Name:		perl-Crypt-SSLeay
Version:	0.51
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	e276fd3970d573139fe56695a7b747bd
Patch0:		%{name}-init.patch
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This perl module provides support for the https protocol under LWP,
so that a LWP::UserAgent can make https GET & HEAD & POST requests.

The Crypt::SSLeay package contains Net::SSL, which is automatically
loaded by LWP::Protocol::https on https requests, and provides the
necessary SSL glue for that module to work.

%description -l cs
Tento modul Perlu nabz podporu pro protokol https pod LWP, take
LWP::UserAgent me provdt https poadavky GET & HEAD & POST. Pro
informace o poadavcch POST si prosm pette perldoc LWP.

Balek Crypt::SSLeay obsahuje Net::SSL, kter je automaticky nahrn
LWP::Protocol::https pi poadavcch https, a nabz potebn spojen
SSL, aby tento modul fungoval.

%description -l da
Dette perlmodul giver understttelse for protokollen https under LWP,
s en LWP::UserAgent kan lave https-foresprgslerne GET & HEAD & POST.
Se perldoc LWP for mere information om POST-foresprgsler.

Pakken Crypt::SSLeay indeholder Net::SSL som automatisk lses ind af
LWP::Protocol::https ved https-foresprgsler, og giver det ndvendige
SSL-klister til at det modul kan fungere.

%description -l de
Dieses Perl-Modul liefert Support fr das https-Protokoll unter LWP,
so dass ein LWP::UserAgent https GET & HEAD & POST Anfragen ausfhren
kann. Weitere Informationen ber POST-Anfragen sindin perldoc LWP
enthalten.

Das Crypt::SSLeay Paket enthlt Net::SSL, das bei https-Anfragen
automatisch von LWP::Protocol::https geladen wird, und bietet die
erforderlichen SSL-Elemente fr das Modul.

%description -l es
Este mdulo perl proporciona soporte para el protocolo https bajo LWP,
de manera que LWP::UserAgent pueda crear peticiones GET & HEAD & POST.
Consulte perldoc LWP para ms informacin sobre las peticiones POST.

El paquete Crypt::SSLeay contiene Net::SSL, que se descarga
automticamente por LWP::Protocol::https en las peticiones https y
proporciona los elementos necesarios SSL para que funcione el mdulo.

%description -l fr
Le module perl fournit un support pour le protocole https sous LWP, de
manire  ce qu'un LWP::UserAgent puisse excuter les requtes GET &
HEAD & POST. Veuillez consulter perldoc LWP pour obtenir de plus
amples informations concernant les requtes POST.

Le paquetage Crypt::SSLeay contient Net::SSL, qui est charg
automatiquement par LWP::Protocol::https sur les requtes https, et
fournit la colle SSL ncessaire pour faire fonctionner ce module.

%description -l it
Questo modulo di perl supporta il protocollo https in LWP, in modo che
un LWP::UserAgent possa effettuare richieste GET & HEAD & POST http.
Consultare perldoc LWP per ulteriori informazioni sulle richieste
POST.

Il pacchetto Crypt::SSLeay contiene Net::SSL, che viene caricato
automaticamente da LWP::Protocol::https sulle richieste http e
fornisce la colla SSL necessaria per far funzionare quel modulo.

%description -l ja
 perl⥸塼ϡLWPθhttpsץȥѤΥݡȤ󶡤
Ǥ顢LWP::UserAgent  https GET & HEAD & POSTꥯȤ
Ǥޤ POSTꥯȤξܺ٤ˤĤƤ perldoc LWP
   Crypt::SSLeayѥåˤϡhꥯȤˤ
LWP::Protocol::https ǼưŪ˥ɤNet::SSLޤǤޤ
ơ⥸塼뤬ư褦  ɬפSSL glue󶡤ޤ

%description -l ko
 perl  LWP::UserAgent https GET, HEAD, POST û  
ֵ LWP Ͽ https ݿ   մϴ. POST û
    Ͻø, perldoc LWP Ͻñ ٶϴ.

Crypt::SSLeay Ű https û  LWP::Protocol::https 
ڵ εǴ Net::SSL ԵǾ , ش  ۵ϴµ
ʿ SSL  (glue) մϴ.

%description -l pl
Ten modu Perla dostarcza obsug protokou https dla LWP, dziki
czemu LWP::UserAgent moe wykonywa zapytania GET i POST po https.

Pakiet Crypt::SSLeay zawiera modu Net::SSL, automatycznie adowany
przez LWP::Protocol::https w przypadku zapyta https, oraz dostarcza
niezbdnych do jego dziaania skadnikw.

%description -l pt
Este mdulo de Perl providencia o suporte para o protocolo HTTP em
LWP, de modo a que um LWP::UserAgent possa fazer pedidos de HTTPS de
GET & HEAD & POST. Veja o LWP do 'perldoc' para mais informaes sobre
os pedidos de POST.

O pacote Crypt::SSLeay contm o Net::SSL, que  carregado
automaticamente pelo LWP::Protocol::https nos pedidos de HTTPS, e que
fornece a lgica de interaco com o SSL necessria para o mdulo
funcionar.

%description -l pt_BR
Este mdulo de Perl providencia o suporte para o protocolo HTTP em
LWP, de modo a que um LWP::UserAgent possa fazer pedidos de HTTPS de
GET & HEAD & POST. Veja o LWP do 'perldoc' para mais informaes sobre
os pedidos de POST.

O pacote Crypt::SSLeay contm o Net::SSL, que  carregado
automaticamente pelo LWP::Protocol::https nos pedidos de HTTPS, e que
fornece a lgica de interaco com o SSL necessria para o mdulo
funcionar.

%description -l sv
Denna perlmodul ger std fr protokollet https under LWP, s att en
LWP::UserAgent kan gra https-begran GET & HEAD & POST.  Se perldoc
LWP fr mer information om POST-begran.

Paketet Crypt::SSLeay innehller Net::SSL som automatiskt lses in av
LWP::Protocol::https vid https-begran, och ger det ndvndiga
SSL-klistret fr att den mudulen skall fungera.

%description -l zh_CN
 Perl ģṩ LWP µ https Э֧֣
 LWP::UserAgent ܹhttps GET & HEAD & POST
 perldoc LWP ȡ POST 
ϸϢ

Crypt::SSLeay  Net::SSL( https ʱ
 LWP::Protocol::https Զ)Ϊģ
ṩ˱Ҫ SSL ˮ

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}
%patch0 -p1

%build
yes "" | %{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorarch}/Crypt/SSLeay.pm
%{perl_vendorarch}/Crypt/SSLeay
%{perl_vendorarch}/Net/SSL.pm
%dir %{perl_vendorarch}/auto/Crypt/SSLeay
%{perl_vendorarch}/auto/Crypt/SSLeay/SSLeay.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/SSLeay/SSLeay.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-SSLeay.spec,v $
Revision 1.59  2004/05/09 09:10:17  qboosh
- added init patch (fixes tests on sparc); release 2

Revision 1.58  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.57  2004/05/05 11:02:11  ankry
- cosmetics

Revision 1.56  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.55  2004/04/20 09:55:38  ankry
- new bconds

Revision 1.54  2004/04/19 19:37:07  ankry
- license fixes and unification

Revision 1.53  2004/03/19 23:46:32  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.52  2003/09/30 20:18:29  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.51  2003/09/09 10:24:31  ankry
- spaces -> tab

Revision 1.50  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.49  2003/06/17 22:17:43  qboosh
- updated to 0.51

Revision 1.48  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.47  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.46  2003/04/20 22:41:28  ankry
- merged translations from RH

Revision 1.45  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.44  2003/03/01 18:46:41  radek
- should be ready for perl-5.8.0; release++

Revision 1.43  2003/02/18 15:29:46  ankry
- massive attack: change CPAN URLs

Revision 1.42  2003/02/13 14:05:23  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.41  2003/02/05 16:17:49  ankry
- autoupdated to 0.49

Revision 1.40  2002/08/12 11:30:09  radek
- translations, cleaning
- release 3

Revision 1.39  2002/08/11 10:51:08  radek
- informative summary/description, release++, STBR

Revision 1.38  2002/08/07 04:57:45  kloczek
- updated to 0.45,
- added performing post build tests.

Revision 1.37  2002/07/16 21:22:06  kloczek
- updated to 0.41.

Revision 1.36  2002/07/16 13:55:00  ankry
- reverted accidental pl description modification

Revision 1.35  2002/07/16 11:32:21  ankry
- translations, cleaning
- release 2

Revision 1.34  2002/07/11 10:51:19  qboosh
- new %%doc and cosmetics

Revision 1.33  2002/07/11 07:58:15  depesz
- new version; should work; STBR

Revision 1.32  2002/07/10 08:46:49  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.31  2002/05/11 14:28:06  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.30  2002/02/25 10:30:24  depesz
cleanup; revision++

Revision 1.29  2002/02/22 23:29:26  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.28  2002/02/13 14:10:46  depesz
automatic: Source location unified, Relase Up

Revision 1.27  2002/02/10 15:25:06  depesz
adapterized

Revision 1.26  2002/01/18 02:14:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.25  2001/11/27 16:29:10  mis
- autoupdated to 0.35

Revision 1.24  2001/10/01 09:45:16  mis
- autoupdated to 0.31

Revision 1.23  2001/07/10 14:10:15  mis
- autoupdated to 0.29

Revision 1.22  2001/06/15 10:49:17  mis
- autoupdated to 0.27

Revision 1.21  2001/05/09 00:15:56  kloczek
- release 3: rebuild against openssl 0.9.6a.

Revision 1.20  2001/04/30 16:05:26  kloczek
- added using %%{rpmcflags} macro.

Revision 1.19  2001/04/17 12:07:06  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.18  2001/04/14 18:00:05  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.17  2001/04/12 12:42:11  mis
- autoupdated to 0.25

Revision 1.16  2001/03/12 22:28:53  kloczek
- updated to 0.23.

Revision 1.15  2001/02/02 04:17:04  kloczek
- updated to 0.22.

Revision 1.14  2001/01/25 20:03:44  misiek
Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.13  2000/12/30 05:41:36  kloczek
- release 2: rebuild against perl 5.6 and use new rpm automation.

Revision 1.12  2000/12/23 00:48:46  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.11  2000/12/07 18:04:57  kloczek
- removed Vendor, Distribution fields,
- added using new rpm automation,
- do not include .packlist file in %%files.

Revision 1.10  2000/10/11 06:30:12  depesz
najnowsze wersje.
